crossgrader(1)

NAME
crossgrader - change the architecture of your Debian installation

SYNOPSIS
crossgrader [-h] [--second-stage] [--third-stage OLD_ARCH] [--download-only] [--install-from [INSTALL_FROM]] [--force-unavailable] [--force-initramfs] [-f] [-p PACKAGES [PACKAGES ...]] [--dry-run] [--cleanup] target_arch

OPTIONS

target_arch
    Target architecture of the crossgrade

--second-stage
    Run the second stage of the crossgrading process (crossgrading all remaining
    packages)

--third-stage OLD_ARCH
    Run the third stage of the crossgrading process (removing all packages under
    specified arch)

--download-only
    Perform target package listing and download, but not installation

--install-from [INSTALL_FROM]
    Perform .deb installation from a specified location (default:
    /var/cache/apt/archives), but not package listing and download

--force-unavailable
    Force crossgrade even if not all packages to be crossgraded are available in
    the target architecture

--force-initramfs
    Force crossgrade even if not all initramfs hooks could be crossgraded

-f, --force-all
    Equivalent to --force-install --force-initramfs

-p PACKAGES [PACKAGES ...], --packages PACKAGES [PACKAGES ...]
    Crossgrade the subsequent package names and nothing else. If used with
    --third-stage, the subsequent packages will be excluded from removal

--dry-run
    Run the crossgrader, but do not change anything

--cleanup
    Clean up any extra files stored by the crossgrader. The given architecture
    will be ignored.

AUTHORS
crossgrader was written by Kevin Wu <kevin@kevinniuwu.com>.

DISTRIBUTION
The latest version of crossgrader may be downloaded from https://salsa.debian.org/crossgrading-team/debian-crossgrading